import { HcApi } from '../../../../request/index'

// 合同工程清单

//获取获取合同工程清单表
// export const getFormTree = (form = {}) => HcApi({
//     url: '/api/blade-meter/contractInventoryForm/getFormTree',
//     method: 'get',
//     params: form,
// })
export const getContrInFormAllByConId = (form = {}) => HcApi({
    url: '/api/blade-meter/contractInventoryForm/getContrInFormAllByConId',
    method: 'get',
    params: form,
})
export const getLazyFormTree = (form = {}) => HcApi({
    url: '/api/blade-meter/contractInventoryForm/lazyTree',
    method: 'get',
    params: form,
})
//获取节点详情
export const getDetail = (form = {}) => HcApi({
    url: '/api//blade-meter/contractInventoryForm/detail',
    method: 'get',
    params: form,
})

//导入清单
export const importExcel = (form) => HcApi({
    url: '/api/blade-meter/contractInventoryForm/importExcel',
    method: 'post',
    data: form,
})
//新增节点
export const addNode = (form) => HcApi({
    url: '/api/blade-meter/contractInventoryForm/add',
    method: 'post',
    data: form,
})
//修改节点
export const updateForm = (form) => HcApi({
    url: '/api/blade-meter/contractInventoryForm/updateForm',
    method: 'post',
    data: form,
})
//排序节点
export const sortForm = (form) => HcApi({
    url: '/api/blade-meter/contractInventoryForm/sort',
    method: 'post',
    params: form,
})
//删除节点
export const deleteNode = (form = {}) => HcApi({
    url: '/api/blade-meter/contractInventoryForm/delete',
    method: 'get',
    params: form,
})
//获取导入模板
export const getImportTemplate = (form = {}) => HcApi({
    url: '/api/blade-meter/contractInventoryForm/getImportTemplate',
    method: 'get',
    params: form,
})
//锁定节点
export const lockNode = (form = {}) => HcApi({
    url: '/api/blade-meter/contractInventoryForm/lockNode',
    method: 'get',
    params: form,
})

//添加同合计量 清单
export const saveInvenFormMeter = (form) => HcApi({
    url: '/api/blade-meter/inventoryFormMeter/saveInvenFormMeter',
    method: 'post',
    params: form,
})
