import config from './index.json'

//主要配置
export default {
    title: '计量支付系统',
    desc: '泓创智诚数字工程平台-计量支付系统',
    key: 'measure', // 配置主键,目前用于存储
    clientId: 'measure', // 客户端id
    clientSecret: 'measure_secret', // 客户端密钥
    tenantMode: true, // 是否开启租户模式
    tenantId: '000000', // 管理组租户编号
    captchaMode: false, // 是否开启验证码模式
    switchMode: false, // 是否开启部门切换模式
    tokenTime: 1740,
    tokenHeader: 'Blade-Auth',
    tokenKey: 'measure-access-token',
    refreshTokenKey: 'measure-refresh-token',
    //进入新登录页的域名或端口
    domains: [],
    ports: ['7777'],
    //其它地址
    ossUrl: 'https://blade-oss-chongqing.oss-cn-shenzhen.aliyuncs.com', //oss地址
    socketLimit: 15, //连接失败后，最大重连次数
    socketInterval: 30000, //连接失败后，每次重连的间隔时间，单位毫秒。
    ...config,
    //这里不再支持配置请求地址，请在 src/config/index.json 文件中配置。
    //相关参数，可查阅 src/config/index.md 文件说明
}
